Subject: bug#75645: Implement something like (bookmark-bmenu-list) for registers

From: Ship Mints <[email-masked]>
Date: Sat, 18 Jan 2025 06:00:29 -0500

If you don't mind using a package, Daniel Mendler's consult package
supports viewing registers.

https://github.com/minad/consult?tab=readme-ov-file#register

Along with a raft of other great features.

On Sat, Jan 18, 2025 at 5:51 AM Dani Moncayo <[email-masked]> wrote:

> Severity: wishlist.
>
> While analyzing source code files, I use (a lot) the functionality of
> keeping buffer
> positions in registers ((point-to-register) and (jump-to-register)).
>
> But I miss being able to display the current list of registers in a new
> buffer
> similar to the one generated for bookmarks with the command
> (bookmark-bmenu-list).
>
> And following the analogy, I'd like that new buffer to allow things like:
> * Delete one, several, or all registers.
> * Jump to the position pointed by some register, by clicking (or
> pressing ENTER) on its line.
>
> I'd very much like to have such a feature, and I think others would like
> it too.
> Thanks.
>
> In GNU Emacs 31.0.50 (build 32, x86_64-pc-linux-gnu, GTK+ Version
>  3.24.41, cairo version 1.18.0) of 2025-01-18 built on C11-Q8YAKWONJX0
> Repository revision: 43c2e49d19f2e7a840507ae9e728b623fcb7c341
> Repository branch: master
> Windowing system distributor 'Microsoft Corporation', version 11.0.12010000
> System Description: Ubuntu 24.04.1 LTS
>
> Configured features:
> CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG
> LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SECCOMP SOUND
> THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2
> XPM GTK3 ZLIB
>
> Important settings:
>   value of $LANG: C.UTF-8
>   locale-coding-system: utf-8-unix
>
> --
> Dani Moncayo
>
>
>
>